WordPress 5.6: nové API, vylepšenie blokového editora a opravy chýb

WordPress 5.6 Simone je vonku. Prináša nové API, pripravuje WordPress na PHP 8.0 a vylepšenia pre blokový editor.

Okrem toho však prináša aj novú tému Twenty Twenty-One. Všetky predvolené témy navyše obsahujú aj základné vzory, ktoré je potom možné upravovať podľa potreby. Vývojári sa však zamerali aj na vylepšenie blokového editoru, ktorý prichádza o verzii 9.2. Editor Gutenberg prináša opäť drobné vylepšenia a opravy pre prácu s blokmi.

Vývojári sa však zamerali aj na prípravu WordPressu pre novú verziu PHP 8.0. Práce sú však zatiaľ iba na začiatku a keďže nová verzia PHP 8 prináša veľa zmien ešte chvíľu bude trvať kým bude WordPress na novú verziu pripravený.

Najmä vývojárov poteší nové rozhranie API, ktoré sprístupní nové funkcie pre autorizáciu užívateľov pre aplikácie tretích strán. Prihlasovanie cez aplikácie tretích strán bude tak bezpečnejšie a tiež bude možné sledovať, ktoré aplikácie využívajú prihlásenie a aké údaje využívajú.

Nová verzia WordPress 5.6 však prináša aj opravy chýb a ďalšie vylepšenia. Aktualizácie je už dostupná cez automatický aktualizačný mechanizmus vo WordPress. Jedna novinka sa týka práve aj možnosti povolenia automatických aktualizácii pre hlavné vydania WordPress.

Pred aktualizáciou si však overte, či vaša aktuálna téma podporuje novú verziu WordPressu a rovnako podporu všetkých inštalovaných pluginov. Pred aktualizáciou sa tiež odporúča vykonať zálohu databázy.

Viac o novinkách sa dočítate aj na oficiálnom blogu WordPress a tiež v dokumentácii pre vývojárov.

Pridaj komentár

Vaša e-mailová adresa nebude zverejnená. Vyžadované polia sú označené *